Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.user
Class SuperuserInformation

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.user.UserInformation
              fr.gouv.culture.sdx.user.SuperuserInformation

All Implemented Interfaces:
  Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

    public class SuperuserInformation

extends UserInformation

Represents a superuser, which is a user who can manage the SDX server. This class extends overrides UserInformation by returning true for the isAdmin() and isSuperuser() methods.

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.user.UserInformation
`ANONYMOUS_USERNAME, CLASS_NAME_SUFFIX, host, ip, SESSION_PROPERTY`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`SuperuserInformation()`

Method Summary
`boolean` | `isAdmin(java.lang.String app)` Returns whether this user can admin an application.
`boolean` | `isMember(java.lang.String groupname)` Returns whether this user is a member of a group.
`boolean` | `isMember(java.lang.String[] groupnames)` Returns whether this user is a member of at least one of the groups.
`boolean` | `isMember(java.lang.String[] groupnames, boolean all)` Return whether this user is member of some groups.
`boolean` | `isSuperuser()` Returns whether this user is a superuser.

Methods inherited from class fr.gouv.culture.sdx.user.UserInformation
`getAppId, getClassNameSuffix, getEmail, getFirstname, getGroups, getHost, getIp, getLastname, getPreferredLocale, initToSax, initVolatileObjectsToSax, isAdmin, setEmail, setFirstname, setGroups, setHost, setIp, setLastname, setPreferredLocale, setUp, toSAX`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperuserInformation

    public SuperuserInformation()

Method Detail

### isAdmin

    public boolean isAdmin(java.lang.String app)

  Returns whether this user can admin an application.

  For the superuser, it always returns `true`.

  Parameters:
    `app` - The application id.

### isSuperuser

    public boolean isSuperuser()

  Returns whether this user is a superuser.

  Always return `true`.

  Overrides:
    `isSuperuser` in class `UserInformation`

### isMember

    public boolean isMember(java.lang.String[] groupnames,
                            boolean all)

  Return whether this user is member of some groups.

  Returns `false`.

  Overrides:
    `isMember` in class `UserInformation`
  Parameters:
    `groupnames` - The list of groups.
    `all` - If `true`, the user must be a member of each groups ; otherwise a member of at least one of them.

### isMember

    public boolean isMember(java.lang.String[] groupnames)

  Returns whether this user is a member of at least one of the groups. This method is a shortcut for isMember(groupnames, false).

  Returns false.

  Overrides:
    `isMember` in class `UserInformation`
  Parameters:
    `groupnames` - The list of group names.

### isMember

    public boolean isMember(java.lang.String groupname)

  Returns whether this user is a member of a group.

  Returns `false`.

  Overrides:
    `isMember` in class `UserInformation`
  Parameters:
    `groupname` - The name of the group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.